Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class NumberDocument

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument
            |
            +--javax.swing.text.PlainDocument
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.NumberDocument

public class NumberDocument
extends PlainDocument

Represents document which can have only numbebered lines.

Author:
  TogetherSoft

Inner classes inherited from class javax.swing.text.AbstractDocument
`AbstractDocument.ElementEdit, AbstractDocument.DefaultDocumentEvent, AbstractDocument.LeafElement, AbstractDocument.BranchElement, AbstractDocument.AbstractElement, AbstractDocument.AttributeContext, AbstractDocument.Content`

Fields inherited from class javax.swing.text.PlainDocument
`tabSizeAttribute, lineLimitAttribute`

Fields inherited from class javax.swing.text.AbstractDocument
`listenerList, BAD_LOCATION, ParagraphElementName, ContentElementName, SectionElementName, BidiElementName, ElementNameAttribute`

Constructor Summary
`NumberDocument()`

Method Summary
`void` | `insertString(int i, String s, AttributeSet attributeset)` Insert only numbered lines.

Methods inherited from class javax.swing.text.PlainDocument
`getDefaultRootElement, createDefaultRoot, getParagraphElement, insertUpdate, removeUpdate`

Methods inherited from class javax.swing.text.AbstractDocument
`getDocumentProperties, setDocumentProperties, fireInsertUpdate, fireChangedUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getListeners, getAsynchronousLoadPriority, setAsynchronousLoadPriority, render, getLength, addDocumentListener, removeDocumentListener, addUndoableEditListener, removeUndoableEditListener, getProperty, putProperty, remove, getText, getText, createPosition, getStartPosition, getEndPosition, getRootElements, getBidiRootElement, getAttributeContext, postRemoveUpdate, dump, getContent, createLeafElement, createBranchElement, getCurrentWriter, writeLock, writeUnlock, readLock, readUnlock`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### NumberDocument

    public NumberDocument()

Method Detail

### insertString

    public void insertString(int i, String s, AttributeSet attributeset)
                       throws javax.swing.text.BadLocationException

  Insert only numbered lines. Line has to have digit at the first position.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD